/******************************************************************************
HEADER DA CLASSE FRMPASSAGENS
CRIADO: 21-10-2008
ALTERADO: 26-10-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef FRMPASSAGENS_H
#define FRMPASSAGENS_H

#include <QtGui>
#include <stdlib.h>

#include "frmbase.h"

class FrmPassagens : public FrmBase
{
    Q_OBJECT

public:
	FrmPassagens();

//Passagens
	QGroupBox* boxAntTestamento;
	QGroupBox* boxNovoTestamento;
	QLabel* lblPassagemAntTestamento;
	QLabel* lblPassagemNovoTestamento;
	QLabel* lblReferenciasAntTestamento;
	QLabel* lblReferenciasNovoTestamento;
	QComboBox* cbxPassagemAntTestamento;
	QLineEdit* ledQtdReferenciasAntTestamento;
	QComboBox* cbxReferenciaAntTestamento;
	QPushButton* btnPassagemAntTestamento;
	QComboBox* cbxPassagemNovoTestamento;
	QLineEdit* ledQtdReferenciasNovoTestamento;
	QComboBox* cbxReferenciaNovoTestamento;
	QPushButton* btnPassagemNovoTestamento;


	void resizeEvent(QResizeEvent* /*event*/);

private slots:
	//Passagens
	void carregarcbxPassagemAntTestamento();
	void carregarcbxReferenciaAntTestamento();
	void chamarPpPassagens();
	void carregarcbxPassagemNovoTestamento();
	void carregarcbxReferenciaNovoTestamento();
	void chamarJcPassagens();
	void setPpDefault();
	void setJcDefault();
	
signals:
	void novaJanela(ReadPassagens *read);

};

#endif

