/******************************************************************************
HEADER DA CLASSE READPESQUISA
CRIADO: 23-10-2008
ALTERADO: 23-10-2008
AUTOR: LUIS VASQUEZ - luis@comunidadeabiblia.net
WEB: www.comunidadeabiblia.net
--------------------------------aBblia Software-------------------------------
******************************************************************************/

#ifndef READPESQUISA_H
#define READPESQUISA_H

#include <QtGui>

#include "readbiblico.h"
#include "const.h"
#include "config.h"
#include "resolucao.h"
#include "bancouser.h"
#include "bancosystem.h"
#include "amessagebox.h"

class QPixmap;
class QLabel;
class QFont;
class QTextEdit;
class QPushButton;
class BancoUser;
class BancoSystem;

class ReadPesquisa : public ReadBiblico
{
   Q_OBJECT

public:
	ReadPesquisa(const QString &strPesquisa, short int idTestamento, short int idModo);
	~ReadPesquisa();
	
	QString getPesquisa();
	int getIdTestamento();
	int getIdModo();
	
private:
	QString _strPesquisa;
	int _idTestamento;
	int _idModo;

private slots:	
	QString carregarTexto(const QString &strPesquisa, short int idTestamento, bool secundario);

};
#endif

